---
order: 0
title: Ant Design of Angular
---

`ng-zorro-antd` 是 Ant Design 的 Angular 实现，主要用于研发企业级中后台产品。

<div class="pic-plus">
  <img width="150" src="https://gw.alipayobjects.com/zos/rmsportal/KDpgvguMpGfqaHPjicRK.svg">
  <span>+</span>
  <img height="150" src="https://img.alicdn.com/tfs/TB1Z0PywTtYBeNjy1XdXXXXyVXa-186-200.svg">
</div>

<style>
.pic-plus > * {
  display: inline-block !important;
  vertical-align: middle;
}
.pic-plus span {
  font-size: 30px;
  color: #aaa;
  margin: 0 20px;
}
</style>


## 特性

- 提炼自企业级中后台产品的交互语言和视觉风格。
- 开箱即用的高质量 Angular 组件，与 Angular 保持同步升级。
- 使用 TypeScript 构建，提供完整的类型定义文件。
- 支持 OnPush 模式，性能卓越。
- 数十个国际化语言支持。
- 深入每个细节的主题定制能力。

## 支持环境

- 现代浏览器和 IE11 及以上（需要 [polyfills](https://angular.io/guide/browser-support)）
- 支持服务端渲染
- [Electron](http://electron.atom.io/)

## 当前版本

[![npm next package](https://img.shields.io/npm/v/ng-zorro-antd/next.svg?style=flat-square)](https://www.npmjs.org/package/ng-zorro-antd)

## 支持 Angular 版本

`ng-zorro-antd` 与 `@angular/core` 保持相同的主版本号，目前支持 Angular `^9.0.0` 版本。

## 设计规范

与 Ant Design 设计规范定期同步，你可以在线查看[同步日志](https://nz-styles-syncer.now.sh/)。

## 安装

我们强烈推荐官方的 `@angular/cli` 工具链辅助进行开发，在实际项目开发中，它可以很好的满足对 TypeScript 代码的构建、调试、代理、打包部署等一系列工程化的需求。

```bash
$ ng new PROJECT_NAME
$ cd PROJECT_NAME
$ ng add ng-zorro-antd
```

> 如果你想了解更多CLI工具链的功能和命令，建议访问 [Angular CLI](https://github.com/angular/angular-cli) 了解更多

## 链接

- [首页](http://ng.ant.design)
- [Angular官方文档](https://angular.io/)
- [开发脚手架](https://cli.angular.io/)
- [TypeScript](https://www.typescriptlang.org/)
- [RxJS](https://github.com/ReactiveX/rxjs)
- [VSCode Snippet 插件](https://marketplace.visualstudio.com/items?itemName=cipchk.ng-zorro-vscode)

## 谁在使用

- [阿里巴巴](http://www.alibaba.com/)
- [阿里云](http://www.aliyun.com/)
- [思特沃克](https://www.thoughtworks.com/)
- [共道科技](https://www.gongdao.com/)
- [优速快递](http://www.uce.cn/)
- [轻流](https://qingflow.com/)
- [航天信息股份有限公司](http://www.aisino.com/)
- [达观数据](http://datagrand.com/)
- [Ververica](https://www.ververica.com/)
- [Apache Flink](https://flink.apache.org/)
- [Apache Zeppelin](http://zeppelin.apache.org/)
- [Process Automation Group](http://pag.company/)
- [ScentBird](https://www.scentbird.com/)
- [Southern Institute of Technology](https://www.sit.ac.nz/)
- [Hapify (Dynamic boilerplates tool)](https://hub.hapify.io/)

> 这里列出了部分使用者，如果你的公司和产品使用了 NG-ZORRO，欢迎到 [这里](https://github.com/NG-ZORRO/ng-zorro-antd/issues/1142) 留言。

## 如何贡献

在任何形式的参与前，请先阅读 [贡献者文档](https://github.com/NG-ZORRO/ng-zorro-antd/blob/master/CONTRIBUTING.md)。如果你希望参与贡献，欢迎 [Pull Request](https://github.com/NG-ZORRO/ng-zorro-antd/pulls)，或给我们 [报告 Bug](http://ng.ant.design/issue-helper/#/en)。

> 强烈推荐阅读 [《提问的智慧》](https://github.com/ryanhanwu/How-To-Ask-Questions-The-Smart-Way)、[《如何向开源社区提问题》](https://github.com/seajs/seajs/issues/545) 和 [《如何有效地报告 Bug》](http://www.chiark.greenend.org.uk/%7Esgtatham/bugs-cn.html)、[《如何向开源项目提交无法解答的问题》](https://zhuanlan.zhihu.com/p/25795393)，更好的问题更容易获得帮助。

## 社区互助

如果您在使用的过程中碰到问题，可以通过下面几个途径寻求帮助，同时我们也鼓励资深用户通过下面的途径给新人提供帮助。

通过 Stack Overflow 或者 Segment Fault 提问时，建议加上 `ng-zorro-antd` 标签。

1. [Stack Overflow](https://stackoverflow.com/questions/tagged/ng-zorro-antd)（English）
2. [Segment Fault](https://segmentfault.com/t/ng-zorro)（中文）
3. [![Gitter](https://img.shields.io/gitter/room/ng-zorro/ng-zorro-antd.svg?style=flat-square)](https://gitter.im/ng-zorro/ng-zorro-antd)
4. 加入钉钉 NG-ZORRO 自助服务群（中文）

<img src="https://img.alicdn.com/tfs/TB1oRkkzy_1gK0jSZFqXXcpaXXa-750-990.jpg" width="300" loading="lazy">
