---
order: 9
title: 资源推荐
---

我们根据自己的开发和使用经验总结了一些可能对开发者有用的资源。

## 工具及解决方案

`ng-zorro-antd` 是 Ant Design 设计规范的 Angular 实现，我们推荐使用以下社区已有的优秀实现和网站，希望能为你的开发过程提供帮助。

类型 | 名称 | 描述
----|----|--------
组件库|[NG ALAIN](http://ng-alain.com/) | [cipchk](https://github.com/cipchk) 个人开发的基于 `ng-zorro-antd` 的 Admin 系统解决方案
组件库|[Material Design](https://material.angular.io) | Angular 官方 Material 组件库
组件库|[Clarity](https://github.com/vmware/clarity) | Vmware Angular 组件库
组件库|[Nebular](https://github.com/akveo/nebular/) | Nebular Angular 组件库
组件库|[Bootstrap](https://github.com/ng-bootstrap/ng-bootstrap) | Bootstrap Angular 组件库
组件库|[ng-zorro-mobile](https://ng.mobile.ant.design/) | Ant Design Mobile 设计规范的 Angular 实现
组件库|[DevUI](https://github.com/DevCloudFE/ng-devui) | 华为 Angular 组件库
组件库|[Jigsaw](https://github.com/rdkmaster/jigsaw) | 中兴 Angular 组件库
组件库|[ag-Grid](https://www.ag-grid.com/angular-grid/) | Angular 表格综合解决方案
组件库|[ngx-datatable](https://github.com/swimlane/ngx-datatable) | Swimlane 的 Table 解决方案
组件库|[ngx-charts](https://swimlane.github.io/ngx-charts/) | 基于 D3 的Angular 可视化组件库
组件库|[ngx-graph](https://swimlane.github.io/ngx-graph/) | 基于 Dagre 的有向无环图可视化组件库
组件库|[ngx-formly](https://github.com/ngx-formly/ngx-formly) | 基于 JSON Schema 的表单方案
开发工具|[Component Dev Kit](https://material.angular.io/cdk/categories) | Angular 官方的提供的组件库工具，包含拖拽、浮层、虚拟滚动等大量功能
开发工具|[Spectator](https://github.com/ngneat/spectator) | Angular 测试工具库
开发工具|[Scully](https://github.com/scullyio/scully) | 基于 Angular 的静态博客生成器
开发工具 |[Angular CLI](https://cli.angular.io/) | Angular 的配套打包工具
开发工具 |[Angular Builders](https://github.com/just-jeb/angular-builders) | Angular CLI 的 Webpack 拓展工具
开发工具 |[ngx-planet](https://github.com/worktile/ngx-planet) | Angular 的微前端方案
开发工具|[Angular Universal](https://universal.angular.io/) | Angular服务端渲染工具
数据流方案|[Akita](https://netbasal.gitbook.io/akita/) | Akita 数据流方案
数据流方案|[ngxs](https://ngxs.io/) | NGXS 数据流方案
数据流方案|[ngrx](https://ngrx.io/) | NGRX 数据流方案


## 博客及网站

这里包含了一些优秀的 Angular 博客和网站，供开发者参考。

- [Angular In Depth](https://indepth.dev/)
- [Angular调优指南](https://web.dev/angular/#fast)
- [Angular中文官网](https://angular.cn/)
- [Angular英文官网](https://angular.io/)
- [Mgechev Blog](http://blog.mgechev.com/)
- [ThoughtRam Blog](https://blog.thoughtram.io/)
- [Reactive How](https://reactive.how/)
- [30 天精通 RxJS](https://blog.jerry-hong.com/series/rxjs)
- [Angular官方博客](https://blog.angular.io)
- [Angular Weekly Meeting Notes](http://g.co/ng/weekly-notes)


## 设计资源

这里提供 Ant Design 相关设计资源和设计工具的下载，更多设计资源正在整理和完善中。你可以在这个[地址](https://www.yuque.com/kitchen/topics/216)中反馈对新版本 Sketch Symbols 组件的意见。

<div class="ant-row resource-cards" style="margin: -12px -12px 0px;"><div class="ant-col ant-col-xs-24 ant-col-sm-12 ant-col-md-8 ant-col-lg-8 gutter-row" style="padding: 12px;"><a class="resource-card" target="_blank" href="https://gw.alipayobjects.com/os/antfincdn/EfSt1N5LCk/Ant.Design.Components.4.0.zip"><img class="resource-card-image" src="https://gw.alipayobjects.com/zos/basement_prod/048ee28f-2c80-4d15-9aa3-4f5ddac50465.svg" alt="全新 Sketch 组件包"><p class="resource-card-title">全新 Sketch 组件包</p><p class="resource-card-description">桌面组件 Sketch 模板包</p></a></div><div class="ant-col ant-col-xs-24 ant-col-sm-12 ant-col-md-8 ant-col-lg-8 gutter-row" style="padding: 12px;"><a class="resource-card" target="_blank" href="http://p.tb.cn/rmsportal_3436_AntDesignMobile_20Template_20V1.0.sketch"><img class="resource-card-image" src="https://gw.alipayobjects.com/zos/basement_prod/c0c3852c-d245-4330-886b-cb02ef49eb6d.svg" alt="Mobile Components"><p class="resource-card-title">Mobile Components</p><p class="resource-card-description">移动组件 Sketch 模板</p></a></div><div class="ant-col ant-col-xs-24 ant-col-sm-12 ant-col-md-8 ant-col-lg-8 gutter-row" style="padding: 12px;"><a class="resource-card" target="_blank" href="https://gw.alipayobjects.com/os/bmw-prod/e9882e0c-a85c-428a-b8a8-656f1aa83036.sketch"><img class="resource-card-image" src="https://gw.alipayobjects.com/zos/basement_prod/5edc7f4d-3302-4710-963b-7b6c77ea8d06.svg" alt="Ant Design Pro"><p class="resource-card-title">Ant Design Pro</p><p class="resource-card-description">典型页面 + 通用业务模板</p></a></div><div class="ant-col ant-col-xs-24 ant-col-sm-12 ant-col-md-8 ant-col-lg-8 gutter-row" style="padding: 12px;"><a class="resource-card" target="_blank" href="http://library.ant.design"><img class="resource-card-image" src="https://gw.alipayobjects.com/zos/basement_prod/90740380-bbb7-4329-95e5-64533934c6cf.svg" alt="Ant Design Library"><p class="resource-card-title">Ant Design Library</p><p class="resource-card-description">一套强大的 Axure 部件库</p></a></div><div class="ant-col ant-col-xs-24 ant-col-sm-12 ant-col-md-8 ant-col-lg-8 gutter-row" style="padding: 12px;"><a class="resource-card" target="_blank" href="http://kitchen.alipay.com"><img class="resource-card-image" src="https://gw.alipayobjects.com/zos/basement_prod/d475d063-2754-4442-b9db-5d164e06acc9.svg" alt="Kitchen"><p class="resource-card-title">Kitchen</p><p class="resource-card-description">Sketch 工具集</p></a></div><div class="ant-col ant-col-xs-24 ant-col-sm-12 ant-col-md-8 ant-col-lg-8 gutter-row" style="padding: 12px;"><a class="resource-card" target="_blank" href="https://landing.ant.design/docs/download-cn"><img class="resource-card-image" src="https://gw.alipayobjects.com/zos/basement_prod/b443f4be-5116-49b7-873f-a7c8502b8f0e.svg" alt="Ant Design Landing"><p class="resource-card-title">Ant Design Landing</p><p class="resource-card-description">首页模板集</p></a></div><div class="ant-col ant-col-xs-24 ant-col-sm-12 ant-col-md-8 ant-col-lg-8 gutter-row" style="padding: 12px;"><a class="resource-card" target="_blank" href="http://ux.ant.design"><img class="resource-card-image" src="https://gw.alipayobjects.com/zos/basement_prod/51682163-e01a-46fe-810c-ac0062379717.svg" alt="Ant UX"><p class="resource-card-title">Ant UX</p><p class="resource-card-description">一套页面逻辑原型库</p></a></div><div class="ant-col ant-col-xs-24 ant-col-sm-12 ant-col-md-8 ant-col-lg-8 gutter-row" style="padding: 12px;"><a class="resource-card" target="_blank" href="https://www.xiaopiu.com/topic/ant-design"><img class="resource-card-image" src="https://gw.alipayobjects.com/zos/basement_prod/77e6a9ae-24a9-4be6-be42-f7fa8ee0eecf.svg" alt="Ant Design 原型 (xiaopiu)"><p class="resource-card-title">Ant Design 原型 (xiaopiu)</p><p class="resource-card-description">可在线编辑的组件库和交互原型</p></a></div><div class="ant-col ant-col-xs-24 ant-col-sm-12 ant-col-md-8 ant-col-lg-8 gutter-row" style="padding: 12px;"><a class="resource-card" target="_blank" href="https://www.antforfigma.com"><img class="resource-card-image" src="https://gw.alipayobjects.com/zos/basement_prod/7b9ed3f2-6f05-4ddb-bac3-d55feb71e0ac.svg" alt="Figma 组件包"><p class="resource-card-title">Figma 组件包</p><p class="resource-card-description">在 Figma 使用 Ant Design 进行设计</p></a></div><div class="ant-col ant-col-xs-24 ant-col-sm-12 ant-col-md-8 ant-col-lg-8 gutter-row" style="padding: 12px;"><a class="resource-card" target="_blank" href="https://gw.alipayobjects.com/os/basement_prod/862ee74f-4ac5-482c-b1ae-3165684cedbe.sketch"><img class="resource-card-image" src="https://gw.alipayobjects.com/zos/basement_prod/a9dc586a-fe0a-4c7d-ab4f-f5ed779b963d.svg" alt="全新 Chart 组件包"><p class="resource-card-title">全新 Chart 组件包</p><p class="resource-card-description">桌面组件 Chart 模板包</p></a></div></div>